Bug 274891 - Review Request: libedit - The NetBSD Editline library
Summary: Review Request: libedit - The NetBSD Editline library
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-03 06:26 UTC by Debarshi Ray
Modified: 2008-05-15 15:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-04 17:08:50 UTC
Type: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Debarshi Ray 2007-09-03 06:26:27 UTC
Spec URL: http://rishi.fedorapeople.org/libedit.spec
SRPM URL: http://rishi.fedorapeople.org/libedit-2.10-1.20070831cvs.fc8.src.rpm

Description:

Libedit is an autotool- and libtoolized port of the NetBSD Editline library.
It provides generic line editing, history, and tokenization functions, similar
to those found in GNU Readline.

Comment 1 Parag AN(पराग) 2007-09-03 09:55:27 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
e8abd1169825efecfccb0f7b4c338bb5  libedit-20070831-2.10.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small so no need of -doc subpackage.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ libedit.pc files are present.
+ -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ ldconfig scriptlets are used.
+ libedit package ->
 Provides: libedit.so.0
 Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.2) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3)
libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libedit.so.0 libncurses.so.5
rtld(GNU_HASH)
+libedit-devel package ->
 Requires: libedit = 2.10-1.20070831cvs.fc8 libedit.so.0 ncurses-devel pkgconfig
+ Not a GUI app.

APPROVED.


Comment 2 Debarshi Ray 2007-09-03 12:51:18 UTC
New Package CVS Request
=======================
Package Name: libedit
Short Description: The NetBSD Editline library.
Owners: rishi
Branches: FC-6, F-7
InitialCC: 
Cvsextras Commits: no

Comment 3 Kevin Fenzi 2007-09-03 18:32:41 UTC
I assume you are just taking over the orphaned libedit package?

I've marked you as owner of that package.


Comment 4 Debarshi Ray 2007-10-04 12:10:20 UTC
Package Change Request
======================
Package Name: libedit
New Branches: F-8

Comment 5 Kevin Fenzi 2007-10-05 16:46:13 UTC
cvs done.

Comment 6 Debarshi Ray 2008-05-15 14:00:29 UTC
Package Change Request
======================
Package Name: libedit
New Branches: EL-5

Comment 7 Kevin Fenzi 2008-05-15 15:55:07 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.